# Generated from weighable-1.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name weighable

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 1%{?dist}
Summary: Like BigDecimal, but for weight. Includes Rails integration
License: MIT
URL: https://github.com/greenbits/weighable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.49.0
# BuildRequires: rubygem(rubocop) < 0.50
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(guard) >= 2.13.0
# BuildRequires: rubygem(guard) < 2.14
# BuildRequires: rubygem(guard-rspec) >= 4.6.4
# BuildRequires: rubygem(guard-rspec) < 4.7
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Like BigDecimal, but for weight. Includes Rails integration.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-style.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile-rails4
%{gem_instdir}/Gemfile-rails5
%{gem_instdir}/Gemfile-rails6
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/weighable.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.5.0-1
- Initial package
